xl_mode: blueprint
with_answers:
  AppName: testapp
  ResourceGroupLocation: westeurope
  AzureVMName: testvm
  AzureVMSize: Standard_DS1_v2
  AzureOSUsername: azureuser
  CredentialsSource: secret-store
  SecretStoreTool: hashicorp-vault
  SecretStoreName: HashiCorpVault
  SecretStoreDictionaryName: HashiCorp Dictionary
  SecretStoreLocation: existing
  SecretStoreServerAddress: http://10.0.0.177:8200
  HashiCorpBackend: VERSIONED
  HashiCorpSecretPath: xebialabs/demo
  ClientID: 9149b9d6-b24f-d09b-3d9e-7ac9977b3dbe
  SubscriptionID: 375e746d-0f79-4e4e-6627-d27491ca1bcb
  TenantID: 57b6831a-b882-3577-556e-5a246483a5cf
  GenerateDockerComposeSetup: false
expect:
  to_exist:
  - README.md
  - xebialabs.yaml
  - xebialabs/secrets.xlvals
  - xebialabs/USAGE-dictionaries-and-secret-stores.md
  - xebialabs/USAGE-secret-store.md
  - xebialabs/xld-dictionaries-and-secret-stores-applications.yaml
  - xebialabs/xld-dictionaries-and-secret-stores-environments.yaml
  - xebialabs/xld-dictionaries-and-secret-stores-infrastructure.yaml
  - xebialabs/xld-secret-store-configuration.yaml
  - xebialabs/xld-secret-store-environments.yaml
  - xebialabs/xlr-dictionaries-and-secret-stores-pipeline-ci-cd.yaml
  - xebialabs/xlr-dictionaries-and-secret-stores-pipeline-destroy.yaml
  - terraform/main.tf
  - terraform/outputs.tf
  - terraform/variables.tf
  to_not_exist:
  - xebialabs/values.xlvals
